{% extends 'admin/base.html.twig' %}

{% block style %}
    {{ encore_entry_link_tags('bo_datatables_css') }}
    {{ encore_entry_link_tags('bo_highlight_css') }}
{% endblock %}

{% block content %}
    <div class="row pt-2">
        {% for message in app.flashes('success') %}
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <strong>{{ message }}</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close" style="padding-top: 25px;"></button>
            </div>
        {% endfor %}
    </div>
    <div class="section-description section-description-inline">
        <h1>Accounts</h1>
    </div>
    <div class="card">
        <div class="card-body">
            <table id="datatable1" class="display" style="width: 100%">
                <thead>
                <tr>
                    <th>Email</th>
                    <th>Account type</th>
                    <th style="width: 25%">Actions</th>
                </tr>
                </thead>
                <tbody>
                {% for user in users %}
                    <tr>
                        <td>{{ user.email }}</td>
                        <td>
                            <span class="badge badge-style-bordered badge-success">
                                {% if 'ROLE_ADMIN' in user.roles %}
                                    Admin
                                {% elseif 'ROLE_COMPANY' in user.roles %}
                                    Company
                                {% elseif 'ROLE_SCIENTIST' in user.roles %}
                                    Scientist
                                {% endif %}
                            </span>
                        </td>
                        <td>
                            <div class="widget-connection-request-actions d-flex">
                                {#                                <a#}
                                {#                                    href="#"#}
                                {#                                    class="#}
                                {#                                    btn btn-primary btn-style-light#}
                                {#                                    flex-grow-1#}
                                {#                                    m-r-xxs#}
                                {#                                  "#}
                                {#                                ><i class="material-icons">edit_note</i#}
                                {#                                    >Modifier</a>#}
                                <a
                                    href="#"
                                    data-delete-path="{{ path('admin_delete_account', {id: user.id}) }}"
                                    class="btn btn-danger btn-style-light flex-grow-1 delete-btn"
                                ><i class="material-icons">delete</i>Supprimer</a>
                            </div>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
                <tfoot>
                <tr>
                    <th>Email</th>
                    <th>Account type</th>
                    <th>Actions</th>
                </tr>
                </tfoot>
            </table>
        </div>
    </div>
{% endblock %}

{% block script %}
    {{ encore_entry_script_tags('bo_popper_js') }}
    {{ encore_entry_script_tags('bo_highlight_js') }}
    {{ encore_entry_script_tags('bo_datatables_js') }}
    {{ encore_entry_script_tags('bo_datatables_page_js') }}
    {{ encore_entry_script_tags('bo_delete_from_list_js') }}
{% endblock %}
